%{!?__python2: %global __python2 /usr/bin/python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%global srcname SaltTesting

Name:           python-salttesting
Version:        2015.7.10
Release:        9%{?dist}
Summary:        Testing library for SaltStack projects

Group:          Development/Languages
License:        ASL 2.0
URL:            https://github.com/saltstack/salt-testing/
Source0:        https://pypi.python.org/packages/source/S/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
Required testing tools needed in the several SaltStack projects.

%description %_description

%package -n python2-salttesting
Summary: %summary
Requires:       python2-mock
Requires:       python2-unittest2
%{?python_provide:%python_provide python2-salttesting}

%description -n python2-salttesting %_description

%prep
%setup -q -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files -n python2-salttesting
%{python2_sitelib}/*
%{_bindir}/*
%doc README.rst AUTHORS.rst
%{!?_licensedir:%global license %%doc}
%license LICENSE

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2015.7.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2015.7.10-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2015.7.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2015.7.10-6
- Python 2 binary package renamed to python2-salttesting
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2015.7.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2015.7.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2015.7.10-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2015.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jul 11 2015 Erik Johnson <erik@saltstack.com> - 2015.7.10-1
- Updated to 2015.7.10

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2015.5.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 22 2015 Erik Johnson <erik@saltstack.com> - 2015.5.8-4
- Added missing runtime deps

* Fri May 22 2015 Erik Johnson <erik@saltstack.com> - 2015.5.8-3
- Fixed prep and removed string_format.py

* Thu May 21 2015 Erik Johnson <erik@saltstack.com> - 2015.5.8-2
- Fixed license and doc

* Thu May 21 2015 Erik Johnson <erik@saltstack.com> - 2015.5.8-1
- Updated to 2015.5.8

* Tue Sep  2 2014 Erik Johnson <erik@saltstack.com> - 2014.8.5-1
- Updated to 2014.8.5

* Wed Oct 23 2013 Erik Johnson <erik@saltstack.com> - 0.5.1-3
- Remove unneeded cd to build dir

* Wed Oct 23 2013 Erik Johnson <erik@saltstack.com> - 0.5.1-2
- Remove pre-built egg, added python2-devel as build dep.

* Mon Oct 21 2013 Erik Johnson <erik@saltstack.com> - 0.5.1-1
- Initial build.
